### Method

# EBookContacts VCardAttribute add_param

#### Declaration [src]

    void
    e_vcard_attribute_add_param (
      EVCardAttribute* attr,
      EVCardAttributeParam* param
    )

#### Description [src]

Prepends `param` to `attr`‘s list of parameters. This takes ownership of `param` (and all its values).

Duplicate parameters have their values merged, so that all parameter names in `attr` are unique. Values are also merged so that uniqueness is preserved.

#### Parameters

`param`

  Type: `EVCardAttributeParam`

  An `EVCardAttributeParam` to add.

  The instance takes ownership of the data, and is responsible for freeing it.